GNU/Linux Administration - Feature #749

Using ImageMagick To Fix Upside Down Digital Pictures
02/21/2016 04:47 PM - Daniel Curtis

Status: Closed Start date: 02/21/2016
Priority: Normal Due date:

Assignee: Daniel Curtis % Done: 100%
Category: Workstation Estimated time: 0.10 hour
Target version: *nix Spent time: 0.50 hour

Description

| recently took some pictures with my phone, and when | went to upload them to a web service they were upside down for some

reason. It turns out that the orientation of an image is stored in the exif data of a photo.

e To start | made a directory for the fixed images:

mkdir ~/fixed

e To fix this, | stripped the exif data:

mogrify —-strip —-path ~/fixed images/*.jpg

e Then flipped the images

mogrify -flip -flop ~/fixed/*.jpg

History

#1 - 02/21/2016 05:12 PM - Daniel Curtis
- Subject changed from Using imageMagick To Fix Upside Down Digital Pictures to Using ImageMagick To Fix Upside Down Digital Pictures
- Status changed from New to Resolved

- % Done changed from 0 to 100

#2 - 03/12/2016 02:02 PM - Daniel Curtis

- Status changed from Resolved to Closed
